[Pkg-alsa-devel] [Debian ALSA CVS] debian/alsa-utils/debian (4 files)
Thomas Hood
jdthood-guest@haydn.debian.org
Sun, 19 Sep 2004 07:41:26 -0600
Date: Sunday, September 19, 2004 @ 07:41:26
Author: jdthood-guest
Path: /cvsroot/pkg-alsa/debian/alsa-utils/debian
Added: patches/15_alsamixer_doc_space.dpatch
Modified: changelog patches/00list
Removed: patches/15_alsamixer_docfixes.dpatch
Add 15_alsamixer_doc_space to really fix #222431
---------------------------------------+
changelog | 4 +++
patches/00list | 1
patches/15_alsamixer_doc_space.dpatch | 39 ++++++++++++++++++++++++++++++++
patches/15_alsamixer_docfixes.dpatch | 37 ------------------------------
4 files changed, 44 insertions(+), 37 deletions(-)
Index: debian/alsa-utils/debian/changelog
diff -u debian/alsa-utils/debian/changelog:1.43 debian/alsa-utils/debian/changelog:1.44
--- debian/alsa-utils/debian/changelog:1.43 Sun Sep 19 04:07:55 2004
+++ debian/alsa-utils/debian/changelog Sun Sep 19 07:41:26 2004
@@ -22,6 +22,10 @@
+ Add 15_amixer_doc_bug271556:
. Fix formatting (Closes #271556)
- alsamixer.1
+ + Add 15_alsamixer_doc_space which is nothing other than
+ D. B. Harris's debian/patches/15_alsamixer_docfixes renamed
+ (see the entry for 1.0.3-1). Add it to debian/patches/00list
+ so that it actually gets applied.
+ Add 15_alsamixer_doc_keycase:
. Note that commands given in upper case can also be given
in lower case (Closes: #258860)
Index: debian/alsa-utils/debian/patches/00list
diff -u debian/alsa-utils/debian/patches/00list:1.14 debian/alsa-utils/debian/patches/00list:1.15
--- debian/alsa-utils/debian/patches/00list:1.14 Sun Sep 19 04:07:56 2004
+++ debian/alsa-utils/debian/patches/00list Sun Sep 19 07:41:26 2004
@@ -1,5 +1,6 @@
10_move_asound_state_to_var
15_amixer_doc_bug271556
+15_alsamixer_doc_space
15_alsamixer_doc_keycase
15_alsamixer_doc_mute
20_alsaconf_lspci
Index: debian/alsa-utils/debian/patches/15_alsamixer_doc_space.dpatch
diff -u /dev/null debian/alsa-utils/debian/patches/15_alsamixer_doc_space.dpatch:1.1
--- /dev/null Sun Sep 19 07:41:26 2004
+++ debian/alsa-utils/debian/patches/15_alsamixer_doc_space.dpatch Sun Sep 19 07:41:26 2004
@@ -0,0 +1,43 @@
+#! /bin/sh -e
+## 15_alsamixer_docfixes.dpatch by David B. Harris <dbharris@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/dbharris/source/debian/alsa-utils/alsamixer/alsamixer.1 alsa-utils/alsamixer/alsamixer.1
+--- /home/dbharris/source/debian/alsa-utils/alsamixer/alsamixer.1 2002-11-29 12:32:52.000000000 -0500
++++ alsa-utils/alsamixer/alsamixer.1 2004-02-27 04:14:23.000000000 -0500
+@@ -58,11 +58,9 @@
+ mute left and right independently by using \fI,\fP (or \fI<\fP) and
+ \fI.\fP (or \fI>\fP) respectively.
+
+-\fISPACE\fP toggles recording: the current channel will be added or
+-removed from the sources used for recording. This only works for valid
+-input channels, of course.
+-You can toggle left and right independently by using \fIInsert\fP (or \fI;\fP)
+-and \fIDelete\fP (or \fI'\fP) respectively.
++\fISPACE\fP enables recording for the current channel. If any other
++channels have recording enabled, they will have their recording function
++disabled first. This only works for valid input channels, of course.
+
+ \fIL\fP re-draws the screen.
+
Index: debian/alsa-utils/debian/patches/15_alsamixer_docfixes.dpatch
diff -u debian/alsa-utils/debian/patches/15_alsamixer_docfixes.dpatch:1.1 debian/alsa-utils/debian/patches/15_alsamixer_docfixes.dpatch:removed
--- debian/alsa-utils/debian/patches/15_alsamixer_docfixes.dpatch:1.1 Fri Feb 27 02:21:07 2004
+++ debian/alsa-utils/debian/patches/15_alsamixer_docfixes.dpatch Sun Sep 19 07:41:26 2004
@@ -1,43 +0,0 @@
-#! /bin/sh -e
-## 15_alsamixer_docfixes.dpatch by David B. Harris <dbharris@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
-
-if [ $# -lt 1 ]; then
- echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
- exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
-
-case "$1" in
- -patch) patch -p1 ${patch_opts} < $0;;
- -unpatch) patch -R -p1 ${patch_opts} < $0;;
- *)
- echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
- exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
-diff -urNad /home/dbharris/source/debian/alsa-utils/alsamixer/alsamixer.1 alsa-utils/alsamixer/alsamixer.1
---- /home/dbharris/source/debian/alsa-utils/alsamixer/alsamixer.1 2002-11-29 12:32:52.000000000 -0500
-+++ alsa-utils/alsamixer/alsamixer.1 2004-02-27 04:14:23.000000000 -0500
-@@ -58,11 +58,9 @@
- mute left and right independently by using \fI,\fP (or \fI<\fP) and
- \fI.\fP (or \fI>\fP) respectively.
-
--\fISPACE\fP toggles recording: the current channel will be added or
--removed from the sources used for recording. This only works for valid
--input channels, of course.
--You can toggle left and right independently by using \fIInsert\fP (or \fI;\fP)
--and \fIDelete\fP (or \fI'\fP) respectively.
-+\fISPACE\fP enables recording for the current channel. If any other
-+channels have recording enabled, they will have their recording function
-+disabled first. This only works for valid input channels, of course.
-
- \fIL\fP re-draws the screen.
-